diff --git a/web/pgadmin/browser/server_groups/servers/databases/templates/databases/sql/default/nodes.sql b/web/pgadmin/browser/server_groups/servers/databases/templates/databases/sql/default/nodes.sql
index 328c073c..44f5dfca 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/templates/databases/sql/default/nodes.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/templates/databases/sql/default/nodes.sql
@@ -5,13 +5,14 @@ FROM
     pg_catalog.pg_database db
     LEFT OUTER JOIN pg_catalog.pg_tablespace ta ON db.dattablespace = ta.oid
 WHERE {% if did %}
-db.oid = {{ did|qtLiteral }}::OID{% else %}
-db.oid > {{ last_system_oid }}::OID OR db.datname IN ('postgres', 'edb')
+db.oid = {{ did|qtLiteral }}::OID
 {% endif %}
 {% if db_restrictions %}
 
-AND
+{% if did %}AND{% endif %}
 db.datname in ({{db_restrictions}})
+{% elif not did%}
+db.oid > {{ last_system_oid }}::OID OR db.datname IN ('postgres', 'edb')
 {% endif %}
 
 {% if show_system_objects %}
